package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/5/14 14:57
 */
@Getter
@Setter
public class FilterPageVO extends Page {
    /**
     * 统计维度 1-本月，2-本年
     */
    private Integer type;
    /**
     * 时间类型 1-本月/本年，2-上月/去年，3-去年本月/去年
     */
    private Integer dateType;
    /**
     * 起始时间
     */
    @ApiModelProperty(hidden = true)
    private String startDate;
    /**
     * 结束时间
     */
    @ApiModelProperty(hidden = true)
    private String endDate;
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private String hospitalId;
    /**
     * 用户id
     */
    @ApiModelProperty(hidden = true)
    private Long userId;
    private String name;
}
